Bug 188318 - [WinCairo] Enable service worker
Summary: [WinCairo] Enable service worker
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Don Olmstead
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-03 12:20 PDT by Don Olmstead
Modified: 2019-03-01 11:59 PST (History)
8 users (show)

See Also:


Attachments
Patch (10.25 KB, patch)
2019-02-19 17:38 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (10.04 KB, patch)
2019-02-28 21:23 PST, Don Olmstead
youennf: review+
Details | Formatted Diff | Diff
Archive of layout-test-results from ews114 for mac-highsierra (1.88 MB, application/zip)
2019-03-01 06:56 PST, EWS Watchlist
no flags Details
Patch (10.28 KB, patch)
2019-03-01 09:55 PST, Don Olmstead
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Olmstead 2018-08-03 12:20:57 PDT
WinCairo should support service workers.
Comment 1 Don Olmstead 2018-08-03 12:22:09 PDT
In the Service Worker code this MSVC bug is being hit quite a bit https://developercommunity.visualstudio.com/content/problem/292128/this-captured-in-nested-lambda-when-used-in-captur.html and is preventing compilation out of the box. We've hit that in quite a few places here.

Other than that it mostly compiles out of the box but there are a few __declspec issues.
Comment 2 Fujii Hironori 2018-08-05 23:41:06 PDT
It looks like a similar issue with Bug 187035 and Bug 184120.
Comment 3 Don Olmstead 2019-02-19 17:38:56 PST
Created attachment 362460 [details]
Patch
Comment 4 EWS Watchlist 2019-02-28 17:17:27 PST
Attachment 362460 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 17 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Don Olmstead 2019-02-28 21:23:16 PST
Created attachment 363293 [details]
Patch
Comment 6 EWS Watchlist 2019-03-01 06:56:26 PST
Comment on attachment 363293 [details]
Patch

Attachment 363293 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11330073

New failing tests:
storage/indexeddb/modern/blocked-open-db-requests-private.html
Comment 7 EWS Watchlist 2019-03-01 06:56:28 PST
Created attachment 363327 [details]
Archive of layout-test-results from ews114 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 8 Don Olmstead 2019-03-01 09:19:25 PST
(In reply to Build Bot from comment #7)
> Created attachment 363327 [details]
> Archive of layout-test-results from ews114 for mac-highsierra
> 
> The attached test failures were seen while running run-webkit-tests on the
> mac-debug-ews.
> Bot: ews114  Port: mac-highsierra  Platform: Mac OS X 10.13.6

This patch is unrelated. This test was added as a SKIP in https://trac.webkit.org/changeset/242264/webkit
Comment 9 youenn fablet 2019-03-01 09:21:21 PST
Comment on attachment 363293 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=363293&action=review

> Tools/DumpRenderTree/DumpRenderTreePrefix.h:39
>  #if OS(WINDOWS)

Should it be PLATFORM(WIN) here as well?

> Tools/WebKitTestRunner/WebKitTestRunnerPrefix.h:51
>  #if OS(WINDOWS)

Should it be PLATFORM(WIN) here as well?
Comment 10 Don Olmstead 2019-03-01 09:55:07 PST
Created attachment 363340 [details]
Patch
Comment 11 WebKit Commit Bot 2019-03-01 11:58:36 PST
Comment on attachment 363340 [details]
Patch

Clearing flags on attachment: 363340

Committed r242279: <https://trac.webkit.org/changeset/242279>
Comment 12 WebKit Commit Bot 2019-03-01 11:58:38 PST
All reviewed patches have been landed.  Closing bug.
Comment 13 Radar WebKit Bug Importer 2019-03-01 11:59:34 PST
<rdar://problem/48517886>